LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInteractionHandlerSupplier Interface Referencepublished

This interface should be implemented by an internal XCommandEnvironment that can not supply an com::sun::star::task::XInteractionHandler, but instead wants interaction requests to be handled by other internal error handling mechanism. More...

`import"XInteractionHandlerSupplier.idl";`

Inheritance diagram for XInteractionHandlerSupplier:

## Public Member Functions
boolean | hasInteractionHandler ()
| Returns whether an com::sun::star::task::XInteractionHandler can be supplied. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface should be implemented by an internal XCommandEnvironment that can not supply an com::sun::star::task::XInteractionHandler, but instead wants interaction requests to be handled by other internal error handling mechanism.

## Member Function Documentation

## ◆ hasInteractionHandler()

boolean hasInteractionHandler | ( |  | ) |

Returns whether an com::sun::star::task::XInteractionHandler can be supplied.

Returns
  `TRUE`, if an com::sun::star::task::XInteractionHandler can be supplied, `FALSE` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XInteractionHandlerSupplier.idl